Bug 1126473 - puppet class with numeric name can neither be edited nor deleted.
Summary: puppet class with numeric name can neither be edited nor deleted.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Ohad Levy
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1172260
TreeView+ depends on / blocked
 
Reported: 2014-08-04 13:55 UTC by Kedar Bidarkar
Modified: 2019-07-11 08:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:12:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Red Hat Bugzilla 1126033 None None None Never

Internal Links: 1126033

Description Kedar Bidarkar 2014-08-04 13:55:09 UTC
Description of problem:

Puppet class which contains names with numeric value can neither be edited nor deleted.

tail -f /var/log/foreman/production.log

Processing by PuppetclassesController#destroy as HTML
  Parameters: {"authenticity_token"=>"LS/dL1pfhWqLRML7GMd72iCb8bN/ZAk1UaykFrtRlPY=", "id"=>"02197821"}
  Rendered common/404.html.erb within layouts/application (2.7ms)
  Rendered layouts/base.html.erb (3.2ms)
Completed 404 Not Found in 47ms (Views: 12.4ms | ActiveRecord: 3.9ms)


Version-Release number of selected component (if applicable):
sat6-GA-snap3

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:
puppet classes created with numeric values can neither be edited nor deleted.

Expected results:

puppet classes once created should be allowed to be edited and deleted.

Additional info:

Comment 1 Dominic Cleal 2014-08-04 14:14:05 UTC
Created redmine issue http://projects.theforeman.org/issues/6914 from this bug

Comment 3 Bryan Kearney 2014-11-10 09:03:10 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6914 has been closed

Comment 7 Kedar Bidarkar 2015-03-09 13:07:44 UTC
VERIFIED with sat6.1 Beta snap5 

puppet-environment can now be edited when name is only numeric and also can be deleted.

Comment 8 Bryan Kearney 2015-08-11 13:27:35 UTC
This bug is slated to be released with Satellite 6.1.

Comment 9 errata-xmlrpc 2015-08-12 05:12:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.